HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.DeleteSubscriptionsSubscriptionExposedId

Contains the different functions to run the operation deleteSubscriptionsSubscriptionExposedId

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourceDeleteSubscriptionsSubscriptionExposedId.hs
valuedeleteSubscriptionsSubscriptionExposedId
  1. :: MonadHTTP m
  2. => Text

    subscription_exposed_id | Constraints: Maximum length of 5000

  3. -> Maybe DeleteSubscriptionsSubscriptionExposedIdRequestBody

    The request body to send

  4. -> ClientT m (Response DeleteSubscriptionsSubscriptionExposedIdResponse)

    Monadic computation which returns the result of the operation

#
DELETE /v1/subscriptions/{subscription_exposed_id}

<p>Cancels a customer’s subscription immediately. The customer will not be charged again for the subscription.</p>

<p>Note, however, that any pending invoice items that you’ve created will still be charged for at the end of the period, unless manually <a href="#delete_invoiceitem">deleted</a>. If you’ve set the subscription to cancel at the end of the period, any pending prorations will also be left in place and collected at the end of the period. But if the subscription is set to cancel immediately, pending prorations will be removed.</p>

<p>By default, upon subscription cancellation, Stripe will stop automatic collection of all finalized invoices for the customer. This is intended to prevent unexpected payment attempts after the customer has canceled a subscription. However, you can resume automatic collection of the invoices manually after subscription cancellation to have us proceed. Or, you could check for unpaid invoices before allowing the customer to cancel the subscription at all.</p>

Defines the object schema located at paths./v1/subscriptions/{subscription_exposed_id}.DELETE.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation deleteSubscriptionsSubscriptionExposedId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), DeleteSubscriptionsSubscriptionExposedIdResponseError is used.

Instances2Eq, Show